Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util.slurpersupport
Class Node

author:
  John Wilson

Field Summary
`Map` | `attributeNamespaces`
`Map` | `attributes`
`List` | `children`
`String` | `name`
`String` | `namespaceURI`
`Stack` | `replacementNodeStack`

Constructor Summary
`Node(Node parent, String name, Map attributes, Map attributeNamespaces, String namespaceURI)`

Method Summary
`void` | `addChild(Object child)`
`void` | `appendNode(Object newValue, GPathResult result)`
`Map` | `attributes()`
`void` | `build(GroovyObject builder, Map namespaceMap, Map namespaceTagHints)`
`void` | `buildChildren(GroovyObject builder, Map namespaceMap, Map namespaceTagHints)`
`Iterator` | `childNodes()`
`List` | `children()`
`static String` | `findNamespaceTag(Map tagMap, Object namespaceURI)`
`static String` | `getTagFor(Object namespaceURI, Map current, Map pending, Map local, Map tagHints, List newTags, GroovyObject builder)`
`String` | `name()`
`String` | `namespaceURI()`
`void` | `replaceBody(Object newValue)`
`void` | `replaceNode(Closure replacementClosure, GPathResult result)`
`String` | `text()`
`Writer` | `writeTo(Writer out)`

Constructor Detail

### Node

    public Node(Node parent, String name, Map attributes, Map attributeNamespaces, String namespaceURI)

Method Detail

### addChild

    public void addChild(Object child)

### appendNode

    void appendNode(Object newValue, GPathResult result)

### attributes

    public Map attributes()

### build

    public void build(GroovyObject builder, Map namespaceMap, Map namespaceTagHints)

### buildChildren

    void buildChildren(GroovyObject builder, Map namespaceMap, Map namespaceTagHints)

### childNodes

    public Iterator childNodes()

### children

    public List children()

### findNamespaceTag

    static String findNamespaceTag(Map tagMap, Object namespaceURI)

### getTagFor

    static String getTagFor(Object namespaceURI, Map current, Map pending, Map local, Map tagHints, List newTags, GroovyObject builder)

### name

    public String name()

### namespaceURI

    public String namespaceURI()

### replaceBody

    void replaceBody(Object newValue)

### replaceNode

    public void replaceNode(Closure replacementClosure, GPathResult result)

### text

    public String text()

### writeTo

    public Writer writeTo(Writer out)